Astrocal
API ReferenceCalendarsV1Calendars

List connected calendars

Returns all calendar connections for the authenticated organization. Tokens are never exposed.

GET
/v1/calendars

Authorization

BearerAuth
AuthorizationBearer <token>

API key authentication. Use your API key as the bearer token.

In: header

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/calendars"
{
  "data": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "provider": "string",
      "calendar_id": "string",
      "account_email": "string",
      "connected_at": "string",
      "status": "active",
      "last_sync_at": "string",
      "sync_status": "connected",
      "sync_error": "string",
      "provider_metadata": {
        "preset": "string",
        "server_url": "string",
        "auth_method": "string",
        "calendar_url": "string"
      }
    }
  ],
  "has_more": true
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": {
      "property1": null,
      "property2": null
    }
  }
}